package config

import (
	"fusenapi/server/home-user-auth/internal/types"

	"github.com/zeromicro/go-zero/rest"
)

type OAuth struct {
	Name   string `yaml:"name"`
	Appid  string `yaml:"appid"`
	Secret string `yaml:"secret"`
}

type Config struct {
	rest.RestConf
	SourceMysql string
	Auth        types.Auth

	OAuth []OAuth

	Stripe struct {
		SK string
	}
}
